
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>ADHD Symptoms Questionnaire</title>
    <!-- Bootstrap 5 CSS -->
    <link 
      rel="stylesheet" 
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" 
      integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" 
      crossorigin="anonymous"
    />
    <!-- Bootstrap Icons -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/bootstrap-icons.css">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="css/style.css" />
    <!-- JS -->
     <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
  </head>
  <body>
    <div class="container">
      <header class="text-center my-5">
    



      </header>

<div class="row justify-content-center">
  <div class="col-lg-8">
    <div class="card shadow mb-5">
      <div class="card-body p-4">
        <form id="adhdForm" action="" method="POST">


          <!-- Questions -->
          <div id="questionsContainer">
          <?php
          $options = [
            ['label' => 'Very Often', 'value' => 4],
            ['label' => 'Often', 'value' => 3],
            ['label' => 'Sometimes', 'value' => 2],
            ['label' => 'Rarely', 'value' => 1],
            ['label' => 'Never', 'value' => 0]
          ];

          $questions = [
              ['id' => 1, 'question' => "How often do you have trouble wrapping up the final details of a project, once the challenging parts have been done?"],
              ['id' => 2, 'question' => "How often do you have difficulty getting things in order when you have to do a task that requires organization?"],
              ['id' => 3, 'question' => "How often do you have problems remembering appointments or obligations?"],
              ['id' => 4, 'question' => "When you have a task that requires a lot of thought, how often do you avoid or delay getting started?"],
              ['id' => 5, 'question' => "How often do you fidget or squirm with your hands or feet when you have to sit down for a long time?"],
              ['id' => 6, 'question' => "How often do you feel overly active and compelled to do things, like you were driven by a motor?"],
              ['id' => 7, 'question' => "How often do you make careless mistakes when you have to work on a boring or difficult project?"],
              ['id' => 8, 'question' => "How often do you have difficulty keeping your attention when you are doing boring or repetitive work?"],
              ['id' => 9, 'question' => "How often do you have difficulty concentrating on what people say to you, even when they are speaking to you directly?"],
              ['id' => 10, 'question' => "How often do you misplace or have difficulty finding things at home or at work?"],
              ['id' => 11, 'question' => "How often are you distracted by activity or noise around you?"],
              ['id' => 12, 'question' => "How often do you leave your seat in meetings or other situations in which you are expected to remain seated?"],
              ['id' => 13, 'question' => "How often do you feel restless or fidgety?"],
              ['id' => 14, 'question' => "How often do you have difficulty unwinding and relaxing when you have time to yourself?"],
              ['id' => 15, 'question' => "How often do you find yourself talking too much when you are in social situations?"],
              ['id' => 16, 'question' => "When you’re in a conversation, how often do you find yourself finishing the sentences of the people you are talking to, before they can finish them themselves?"],
              ['id' => 17, 'question' => "How often do you have difficulty waiting your turn in situations when turn taking is required?"],
              ['id' => 18, 'question' => "How often do you interrupt others when they are busy?"]
          ];

                foreach ($questions as $index => $question) {
                    ?>
                    <div class="question" data-question="<?= $question['id']; ?>">
                        <h3 class="card-title mb-4"><?= $question['id']; ?>. <?= $question['question']; ?></h3>
                        <div class="mb-4">
                            <?php
                            foreach ($options as $key => $option) {
                                ?>
                                <div class="form-check mb-2">
                                    <input class="form-check-input" type="radio" name="q<?= $question['id']; ?>" id="q<?= $question['id']; ?><?= $key; ?>" value="<?= $option['value']; ?>" required>
                                    <label class="form-check-label" for="q<?= $question['id']; ?><?= $key; ?>"><?= $option['label']; ?></label>
                                </div>
                            <?php } ?>
                        </div>
                        <div class="d-flex justify-content-end mt-4">
                            <!-- Button will be handled later via JS for navigation -->
                        </div>
                    </div>
                <?php
                }
                ?>

              </div>
                    <div class="d-flex justify-content-between mt-4">                      
                      <button type="submit" class="btn btn-success w-100">Show Results <i class="bi bi-check2-circle"></i></button>
                    </div>

            <!-- Repeat for other questions -->

          </div>
        </form>
      </div>
    </div>
  </div>
</div>

<!-- Add the following CSS to ensure questions are stacked vertically -->
<style>
  .question {
    margin-bottom: 20px;
  }
</style>


<!-- PHP -->

<?php
// الاتصال بقاعدة البيانات
$servername = "localhost";
$username = "husacdxs_adhd";
$password = '_lj6V$LPRP[=';
$dbname = "husacdxs_adhd"; // اسم قاعدة البيانات الخاصة بك
// $servername = "localhost";
// $username = "root";
// $password = '';
// $dbname = "adhd"; // اسم قاعدة البيانات الخاصة بك

// إنشاء الاتصال
$conn = new mysqli($servername, $username, $password, $dbname);

// التحقق من الاتصال
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

if ($_SERVER["REQUEST_METHOD"] == "POST") {
$responses = [];
$total_points = 0;
$max_points = 18 * 4;  // الحد الأقصى للنقاط (18 سؤال × 4 نقاط)

// استرجاع النقاط من الإجابات
for ($i = 1; $i <= 18; $i++) {
    if (isset($_POST["q$i"]) && is_numeric($_POST["q$i"])) {
        $responses[$i] = $_POST["q$i"];
        $total_points += $_POST["q$i"];  // جمع النقاط
    } else {
        $responses[$i] = 0;  // إذا كانت الإجابة غير موجودة أو غير صالحة
    }
}

echo $total_points;
echo $max_points;
    // حساب النسبة المئوية
    $percentage = round(($total_points / $max_points) * 100, 0); // حساب النسبة المئوية
    echo $percentage;    

    // تعيين الفئة والنصوص بناءً على النسبة المئوية
    if ($percentage < 30) {
        $resultCategory = 'Low';
        $resultText = "Low Likelihood";
        $resultDescription = 'Based on your responses, you show few symptoms associated with ADHD. However, if you experience difficulties with focus or attention that affect your life, it\'s best to consult a professional.';
        $iconClass = 'bi-emoji-smile result-low';
        $barClass = 'result-low-bg';
    } elseif ($percentage < 70) {
        $resultCategory = 'Moderate';
        $resultText = "Moderate Likelihood";
        $resultDescription = 'Based on your responses, you may have some symptoms associated with ADHD. We recommend talking to a mental health professional for a more comprehensive assessment.';
        $iconClass = 'bi-emoji-neutral result-medium';
        $barClass = 'result-medium-bg';
    } else {
        $resultCategory = 'High';
        $resultText = "High Likelihood";
        $resultDescription = 'Based on your responses, you show many symptoms associated with ADHD. We strongly recommend consulting a mental health professional for proper evaluation and diagnosis.';
        $iconClass = 'bi-emoji-frown result-high';
        $barClass = 'result-high-bg';
    }
    // توليد رقم testID عشوائي مكون من 7 أرقام
    do {
        $testID = rand(1000000, 9999999); // توليد رقم عشوائي مكون من 7 أرقام
        $checkQuery = "SELECT * FROM results WHERE testID = $testID";
        $result = $conn->query($checkQuery);
    } while ($result->num_rows > 0); // التحقق إذا كان الرقم موجوداً بالفعل
    
    // إدخال البيانات في قاعدة البيانات
    $stmt = $conn->prepare("INSERT INTO results (testID, score, date, level) VALUES (?, ?, NOW(), ?)");
    $stmt->bind_param("iis", $testID, $percentage, $resultCategory);  // ربط المتغيرات
    $stmt->execute();
    
    // التحقق من الإدخال
    if ($stmt->affected_rows > 0) {
        // عرض رسالة باستخدام SweetAlert بعد إدخال البيانات بنجاح
        echo "        
        <script>
        Swal.fire({
            title: 'Test Completed!',
            text: 'Your test ID is: $testID do not forget to save your ID to see your result again',
            icon: 'success',
            showCancelButton: true,
            confirmButtonText: 'Copy Test ID',
            cancelButtonText: 'Show Result',
        }).then((result) => {
            if (result.isConfirmed) {
                // إنشاء حقل لنسخ رقم testID
               const copyText = document.createElement('input');
              copyText.value = '$testID';
              document.body.appendChild(copyText);
              copyText.select();
              document.execCommand('copy');
              document.body.removeChild(copyText); // حذف حقل النسخ بعد نسخه
              Swal.fire('Test ID copied to clipboard! do not forget to save your ID to see your result again').then(() => {
                  // الانتقال إلى صفحة أخرى بعد عرض الرسالة
                  window.location.href = 'results.php?testID=$testID'; // استبدل بـ URL الصفحة الجديدة
              });
            } else if (result.dismiss === Swal.DismissReason.cancel) {                
                 window.location.href = 'results.php?testID=$testID';
            }
        });
        </script>
        ";
    } else {
        // عرض رسالة خطأ باستخدام SweetAlert
        echo "        
        <script>
        Swal.fire({
            title: 'Error!',
            text: 'There was an issue inserting your data.',
            icon: 'error',
            confirmButtonText: 'Close',
        });
        </script>
        ";
    }

    // إغلاق الاتصال
    $stmt->close();
    $conn->close();
}
?>

    </div>

    <!-- Bootstrap JS Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script>
    <!-- Custom JS -->
    <script src="js/script.js"></script>
  </body>
</html>