<?php
// الاتصال بقاعدة البيانات
$servername = "localhost";
$username = "husacdxs_adhd";
$password = '_lj6V$LPRP[=';
$dbname = "husacdxs_adhd"; // اسم قاعدة البيانات الخاصة بك
// $servername = "localhost";
// $username = "root";
// $password = "";
// $dbname = "adhd"; // اسم قاعدة البيانات الخاصة بك

// إنشاء الاتصال
$conn = new mysqli($servername, $username, $password, $dbname);

// التحقق من الاتصال
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// استعلام لجلب البيانات من قاعدة البيانات
$sql = "SELECT testID, score, date, level FROM results ORDER BY date DESC"; // ترتيب النتائج حسب التاريخ
$result = $conn->query($sql);
?>

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>ADHD Test Results History</title>
    <!-- Bootstrap 5 CSS -->
    <link 
      rel="stylesheet" 
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" 
      integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" 
      crossorigin="anonymous"
    />
    <!-- Bootstrap Icons -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/bootstrap-icons.css">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="css/style.css" />
  </head>
  <body>
    <div class="container">
      <header class="text-center my-5">
        <h1 class="display-4 fw-bold text-primary mb-3">Test Results History</h1>
        <p class="lead mb-4">History of ADHD Assessment Test Results</p>
      </header>

      <div class="row justify-content-center">
        <div class="col-lg-10">
          <div class="card shadow mb-5">
            <div class="card-body p-4">
              <!-- Filter and Sort Controls -->
              <div class="d-flex justify-content-between align-items-center mb-4">
                <div class="d-flex gap-2">
                  <button class="btn btn-outline-primary" id="sortDate">
                    <i class="bi bi-sort-down"></i> Sort by Date
                  </button>
                  <button class="btn btn-outline-primary" id="sortScore">
                    <i class="bi bi-sort-numeric-down"></i> Sort by Score
                  </button>
                </div>
                <a href="index.php" class="btn btn-primary">
                  <i class="bi bi-plus-lg"></i> New Test
                </a>
              </div>

              <!-- Results Table -->
              <div class="table-responsive">
                <table class="table table-hover">
                  <thead class="table-light">
                    <tr>
                      <th scope="col">Test ID</th>
                      <th scope="col">Score</th>
                      <th scope="col">Date</th>
                      <th scope="col">Level</th>
                      <th scope="col">Details</th>
                    </tr>
                  </thead>
                  <tbody id="resultsTableBody">
                    <?php
                    if ($result->num_rows > 0) {
                      while ($row = $result->fetch_assoc()) {
                        // تحديد مستوى النتيجة
                        if ($row['score'] < 30) {
                          $levelClass = 'success';
                          $levelText = 'Low';
                        } elseif ($row['score'] < 70) {
                          $levelClass = 'warning';
                          $levelText = 'Moderate';
                        } else {
                          $levelClass = 'danger';
                          $levelText = 'High';
                        }
                        ?>
                        <tr>
                          <td><?= '#'.$row['testID'] ?></td>
                          <td>
                            <div class="progress" style="height: 20px;">
                              <div class="progress-bar bg-<?= $levelClass ?>" role="progressbar" style="width: <?= $row['score']."%" ?>  " aria-valuenow="<?= $row['score'] ?>" aria-valuemin="0" aria-valuemax="100">
                                <?= $row['score'] ?>
                              </div>
                            </div>
                          </td>
                          <td><?= $row['date'] ?></td>
                          <td><h1 class="badge bg-<?= $levelClass ?>"><?= $row['level'] ?></h1></td>
                          <td>
                            <a href="results.php?testID=<?= $row['testID'] ?>" target="_blank" rel="noopener noreferrer">
                            <button class="btn btn-sm btn-outline-primary view-details">
                              <i class="bi bi-eye"></i>
                              View
                            </button>
                          </a>
                          </td>
                        </tr>
                        <?php
                      }
                    } else {
                      // إذا لم تكن هناك نتائج، عرض رسالة داخل الجدول
                      echo "<tr><td colspan='5' class='text-center p-5'>
                              <i class='bi bi-inbox display-1 text-muted'></i>
                              <h3 class='mt-3 text-muted'>No Results Found</h3>
                              <p class='text-muted'>No tests have been taken yet</p>
                              <a href='index.php' class='btn btn-primary mt-3'>
                                Take New Test <i class='bi bi-arrow-right'></i>
                              </a>
                            </td></tr>";
                    }
                    ?>
                  </tbody>
                </table>
              </div>

            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Result Modal -->
    <div class="modal fade" id="resultModal" tabindex="-1" aria-labelledby="resultModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="resultModalLabel">Result Details</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body" id="resultModalBody">
            <!-- Result details will be populated here -->
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>

    <!-- Bootstrap JS Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script>
    <!-- Custom JS -->
    <script src="js/history.js"></script>
  </body>
</html>

<?php
// إغلاق الاتصال
$conn->close();
?>
