<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>ADHD Symptoms Questionnaire</title>
    <!-- Bootstrap 5 CSS -->
    <link 
      rel="stylesheet" 
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" 
      integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" 
      crossorigin="anonymous"
    />
    <!-- Bootstrap Icons -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/bootstrap-icons.css">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="css/style.css" />
    <!-- JS -->
     <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
  </head>
  <body>
    <div class="container">
      <header class="text-center my-5">
        <h1 class="display-4 fw-bold text-primary mb-3">ADHD Symptoms Screening Test</h1>        
        <p class="lead mb-4">This test helps identify symptoms of Attention Deficit Hyperactivity Disorder (ADHD)</p>
        <div class="card shadow-sm mx-auto" style="max-width: 600px;">
          <div class="card-body p-4">
            <p class="text-muted">ADHD (Attention Deficit Hyperactivity Disorder) is a neurodevelopmental disorder that affects the ability to focus and control behaviors. It is characterized by three main symptoms: inattention, hyperactivity, and impulsivity. Individuals with ADHD may have difficulty concentrating for extended periods and may display excessive activity or impulsive behaviors without considering the consequences. ADHD is typically diagnosed in childhood and can persist into adulthood. This disorder can impact academic, social, and professional performance, and can be treated through behavioral therapy, medications, and environmental adjustments.</p>
          </div>
        </div>
        <h4 class="display-6 mt-5 fw-bold text-primary mb-3">
          </h4>


         <h4 class="display-6 mt-5 fw-bold text-primary mb-3 d-flex flex-column align-items-center">
            
            <form class="row d-flex flex-column align-items-center" action="" method="get" onsubmit="return validateForm()">
              <input class="form-control w-100 mb-3" type="text" placeholder="Enter your test ID" name="testID" id="testID">
              <button type="submit" class="btn btn-success w-100">Show Old Result</button>
            </form>

            <script>
              function validateForm() {
                const testID = document.getElementById('testID').value;
                if (testID === "") {
                  alert("Please enter a test ID.");
                  return false;  // يمنع إرسال النموذج إذا لم يتم إدخال قيمة
                }                
                return true;  // يسمح بإرسال النموذج
              }
            </script>

            <?php
            if (isset($_GET['testID'])) {
              $testID = $_GET['testID'];
              // echo $testID;
              header("location: results.php?testID=$testID");
            }
            ?>

        </h4>

      </header>

<div class="row justify-content-center">
  <div class="col-lg-8">
    <a href="adhd.php">
        <center>
        <button type="button" class="btn btn-primary next-btn">Continue to the Test <i class="bi bi-arrow-right"></i></button>
        </center>
    </a>
  </div>
</div>


    </div>

    <!-- Bootstrap JS Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script>
    <!-- Custom JS -->
    <script src="js/script.js"></script>
  </body>
</html>