document.addEventListener('DOMContentLoaded', function() {
  const resultsTableBody = document.getElementById('resultsTableBody');
  const noResults = document.getElementById('noResults');
  const sortDateBtn = document.getElementById('sortDate');
  const sortScoreBtn = document.getElementById('sortScore');

  // Get results from localStorage
  // let results = JSON.parse(localStorage.getItem('adhdResults') || '[]');

  function updateTable(results) {
    // if (results.length === 0) {
    //   noResults.classList.remove('d-none');
    //   resultsTableBody.innerHTML = '';
    //   return;
    // }

    // noResults.classList.add('d-none');
    resultsTableBody.innerHTML = results.map((result, index) => {


      let levelClass, levelText;
      if (result.score < 30) {
        levelClass = 'success';
        levelText = 'Low';
      } else if (result.score < 70) {
        levelClass = 'warning';
        levelText = 'Moderate';
      } else {
        levelClass = 'danger';
        levelText = 'High';
      }

      return `
        <tr>
          <td>${index + 1}</td>
          <td>
            <div class="progress" style="height: 20px;">
              <div class="progress-bar bg-${levelClass}" 
                   role="progressbar" 
                   style="width: ${result.score}%;" 
                   aria-valuenow="${result.score}" 
                   aria-valuemin="0" 
                   aria-valuemax="100">
                ${result.score}%
              </div>
            </div>
          </td>
          <td>${formattedDate}</td>
          <td><span class="badge bg-${levelClass}">${levelText}</span></td>
          <td>
            <button class="btn btn-sm btn-outline-primary view-details" 
                    data-bs-toggle="modal" 
                    data-bs-target="#resultModal" 
                    data-result-id="${index}">
              <i class="bi bi-eye"></i> View
            </button>
          </td>
        </tr>
      `;
    }).join('');

    // Add event listener to the view details buttons
    // resultsTableBody.addEventListener('click', function(event) {
    //   if (event.target.closest('.view-details')) {
    //     const button = event.target.closest('.view-details');
    //     const resultId = button.dataset.resultId;
    //     const result = results[resultId];
    //     const modalBody = document.getElementById('resultModalBody');

    //     // Format the date
    //     const date = new Date(result.date);
    //     const formattedDate = new Intl.DateTimeFormat('en-US', {
    //       year: 'numeric',
    //       month: 'long',
    //       day: 'numeric',
    //       hour: '2-digit',
    //       minute: '2-digit'
    //     }).format(date);

    //     let levelText;
    //     if (result.score < 30) {
    //       levelText = 'Low';
    //     } else if (result.score < 70) {
    //       levelText = 'Moderate';
    //     } else {
    //       levelText = 'High';
    //     }

    //     // Populate the modal with the result details
    //     modalBody.innerHTML = `
    //       <div class="mb-4">
    //         <h6 class="fw-bold mb-3">Result Information</h6>
    //         <p class="mb-2"><strong>Score:</strong> ${result.score}%</p>
    //         <p class="mb-2"><strong>Level:</strong> ${levelText}</p>
    //         <p class="mb-2"><strong>Date:</strong> ${formattedDate}</p>
    //       </div>
    //     `;
    //   }
    // });
  }

  // Sort functions
  function sortByDate(a, b) {
    return new Date(b.date) - new Date(a.date);
  }

  function sortByScore(a, b) {
    return b.score - a.score;
  }

  // Event listeners for sort buttons
  sortDateBtn.addEventListener('click', () => {
    results.sort(sortByDate);
    updateTable(results);
  });

  sortScoreBtn.addEventListener('click', () => {
    results.sort(sortByScore);
    updateTable(results);
  });

  // Initial table population
  updateTable(results);
});