<?php
// الاتصال بقاعدة البيانات
$servername = "localhost";
$username = "husacdxs_adhd";
$password = '_lj6V$LPRP[=';
$dbname = "husacdxs_adhd"; // اسم قاعدة البيانات الخاصة بك
// $servername = "localhost";
// $username = "root";
// $password = "";
// $dbname = "adhd"; // اسم قاعدة البيانات الخاصة بك

// إنشاء الاتصال
$conn = new mysqli($servername, $username, $password, $dbname);

// التحقق من الاتصال
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}



// التحقق إذا تم إرسال testID عبر GET
if (isset($_GET['testID'])) {
    $testID = $_GET['testID']; // الحصول على testID من الرابط أو من الطلب

    // استعلام لجلب البيانات بناءً على testID
    $stmt = $conn->prepare("SELECT testID, score, date, level FROM results WHERE testID = ?");
    $stmt->bind_param("i", $testID); // ربط المتغير testID مع الاستعلام
    $stmt->execute();

    // الحصول على النتيجة
    $result = $stmt->get_result();
    
    // التحقق من وجود بيانات
    if ($result->num_rows > 0) {
        // عرض البيانات
        while ($row = $result->fetch_assoc()) {
            $score = $row['score'];
            $date = $row['date'];
            $level = $row['level'];


    // تعيين الفئة والنصوص بناءً على النسبة المئوية
    if ($score < 30) {
        $resultCategory = 'Low';
        $resultText = "Low Likelihood";
        $resultDescription = 'Based on your responses, you show few symptoms associated with ADHD. However, if you experience difficulties with focus or attention that affect your life, it\'s best to consult a professional.';
        $iconClass = 'bi-emoji-smile result-low';
        $barClass = 'result-low-bg';
    } elseif ($score < 70) {
        $resultCategory = 'Moderate';
        $resultText = "Moderate Likelihood";
        $resultDescription = 'Based on your responses, you may have some symptoms associated with ADHD. We recommend talking to a mental health professional for a more comprehensive assessment.';
        $iconClass = 'bi-emoji-neutral result-medium';
        $barClass = 'result-medium-bg';
    } else {
        $resultCategory = 'High';
        $resultText = "High Likelihood";
        $resultDescription = 'Based on your responses, you show many symptoms associated with ADHD. We strongly recommend consulting a mental health professional for proper evaluation and diagnosis.';
        $iconClass = 'bi-emoji-frown result-high';
        $barClass = 'result-high-bg';
    }


            ?>

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>ADHD Assessment Results</title>
        <!-- Bootstrap 5 CSS -->
        <link 
        rel="stylesheet" 
        href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" 
        integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" 
        crossorigin="anonymous"
        />
        <script src='https://cdn.jsdelivr.net/npm/sweetalert2@11'></script>
    <!-- Bootstrap Icons -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/bootstrap-icons.css">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="css/style.css" />     

  </head>
  <body>
    <div class="container">
      <header class="text-center my-5">
        <h1 class="display-4 fw-bold text-primary mb-3">ADHD Assessment Results</h1>
        <p class="lead mb-4">Thank you for completing the assessment. Here are your results.</p>
      </header>

      <div class="row justify-content-center">
        <div class="col-lg-8">
          <div class="card shadow mb-5">
            <div class="card-body p-4">
              <div class="text-center mb-4">
                <div class="display-1 mb-3">
                  <i id="resultIcon" class="bi <?= $iconClass ?>"></i>
                </div>
                <h2 class="card-title mb-3"> Assessment Result <?= "#" . $testID; ?>   </h2>
                <div class="progress mb-4" style="height: 30px;">
                  <div id="resultBar" class="progress-bar <?= $barClass ?>" role="progressbar" style="width: 0%" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">0%</div>
                </div>
                <h3 id="resultText" class="mb-4"><?= $resultText ?></h3>
                <p id="resultDescription" class="text-muted mb-5"><?= $resultDescription ?></p>
              </div>

              <div class="alert alert-info" role="alert">
                <h4 class="alert-heading"><i class="bi bi-info-circle-fill me-2"></i> Important Note</h4>
                <p>This questionnaire is for educational purposes only and does not represent a medical diagnosis. For an accurate diagnosis, please consult a mental health professional.</p>
                <hr>
                <p class="mb-0">If you are experiencing symptoms that affect your daily life, we recommend speaking with a qualified healthcare provider.</p>
              </div>

              <div class="text-center mt-5">
                <a href="index.php" class="btn btn-primary btn-lg">Retake Test <i class="bi bi-arrow-repeat"></i></a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Bootstrap JS Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <!-- Custom JS -->
    <script>
      document.addEventListener("DOMContentLoaded", function() {
        // النسبة المئوية المحسوبة من PHP
        const score = <?= $score; ?>;

        // تحديد العناصر
        const resultBar = document.getElementById("resultBar");
        const resultText = document.getElementById("resultText");

        // تحريك شريط التقدم تدريجيًا
        let currentWidth = 0;
        const interval = setInterval(function() {
          if (currentWidth < score) {
            currentWidth++;
            resultBar.style.width = currentWidth + "%";
            resultBar.textContent = currentWidth + "%";
          } else {
            clearInterval(interval);
          }
        }, 10);  // تحديد السرعة

        // تحديث النص عند الوصول إلى النتيجة
        setTimeout(function() {
          
        }, 1000);  // تأخير بسيط لتحديث النص
      });
    </script>

<?php
    }
} else {
    header("location: index.php");
     // عرض رسالة SweetAlert عند عدم وجود بيانات
        echo "
        <script>
        Swal.fire({
            title: 'No Data Found!',
            text: 'No data found for Test ID: $testID.',
            icon: 'error',
            confirmButtonText: 'Close'
        });
        </script>
        ";
    // exit();
    }
    
} else {
    echo "<p>Test ID not provided.</p>";
}
// إغلاق الاتصال
$conn->close();
?>

</body>
</html>
